import { Button } from '@blueprintjs/core'
import type { CSSProperties, FC, PropsWithChildren } from 'react'

interface TabButtonProps extends PropsWithChildren {
  onClick: () => void
  buttonStyle: CSSProperties | undefined
}

const TabButton: FC<TabButtonProps> = ({ children, onClick, buttonStyle }) => (
  <Button
    minimal
    style={{
      minWidth: 'fit-content',
      ...buttonStyle,
    }}
    onClick={onClick}
  >
    {children}
  </Button>
)

export default TabButton
