import { Button, Icon, Section, Switch } from '@blueprintjs/core'
import { colormode, getColormode, useColormode } from '../vars/colormode'

const ColorMode = () => {
  const View = () => {
    const color = useColormode()
    const currentColor = color !== null ? color : getColormode()
    return (
      <>
        <Icon icon={currentColor ? 'moon' : 'circle'} />
        <Switch
          style={{ margin: '0' }}
          checked={currentColor}
          title='Toggle color mode.'
          onChange={() => colormode(!currentColor)}
        />
        <Button
          style={{ margin: '0' }}
          icon='refresh'
          minimal
          onClick={() => colormode(null)}
          title='Reset to automatic color mode.'
        />
      </>
    )
  }
  return (
    <Section
      title='Color Mode'
      subtitle='Change the color mode of the application.'
      rightElement={
        <div style={{ display: 'flex', gap: '0.25rem', alignItems: 'center' }}>
          <View />
        </div>
      }
    />
  )
}

export default ColorMode
