import { Button, Section, SectionCard } from '@blueprintjs/core'
import { host, useHost } from '@inject/graphql/connection/host'
import { useWs, ws } from '@inject/graphql/connection/ws'

const Connection = () => {
  const hostVar = useHost()
  const wsVar = useWs()
  const ResetButton = () => (
    <Button
      onClick={() => {
        host(null)
        ws(null)
      }}
      fill
    >
      Reset connection
    </Button>
  )

  return (
    <Section
      title='Connection Info'
      subtitle='Current client parameters (set by the administrator)'
      rightElement={<ResetButton />}
    >
      <SectionCard>
        <p>
          Host: <code>{hostVar}</code>
        </p>
        <p>
          Websocket: <code>{wsVar}</code>
        </p>
      </SectionCard>
    </Section>
  )
}

export default Connection
