import { useNavigate } from '@/router'
import { Button, Section } from '@blueprintjs/core'
import useApolloClient from '@inject/graphql/client/useApolloClient'
import { useLogout } from '@inject/graphql/mutations/Logout.generated'

const Logout = () => {
  const [logout] = useLogout()
  const nav = useNavigate()
  const apollo = useApolloClient()

  const handleLogout = async () => {
    await logout()
    document.cookie =
      'sessionid=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/;'
    localStorage.clear()
    apollo.clearStore()
    apollo.cache.reset()
    nav('/login')
  }

  return (
    <Section
      title='Logout'
      rightElement={<Button onClick={handleLogout}>Logout</Button>}
      subtitle='Logout from the application'
    />
  )
}

export default Logout
