import { Icon } from '@blueprintjs/core'
import type { FC, MouseEventHandler, PropsWithChildren } from 'react'

interface FileButtonComponentProps extends PropsWithChildren {
  href?: string
  onClick?: MouseEventHandler<HTMLAnchorElement>
}

const FileButtonComponent: FC<FileButtonComponentProps> = ({
  href,
  onClick,
  children,
}) => (
  <div>
    <Icon
      icon='paperclip'
      className='bp5-text-muted'
      style={{ paddingRight: '0.5em' }}
    />
    <a onClick={onClick} href={href}>
      {children}
    </a>
  </div>
)

export default FileButtonComponent
