import type { EmailSelection } from '@/analyst/utilities'
import type { EmailThread } from '@inject/graphql/fragments/EmailThread.generated'
import type { FC } from 'react'
import TeamEmails from '.'

interface TraineeTeamEmailsProps {
  exerciseId: string
  teamId: string
  emailThreads: EmailThread[]
  selectedTab?: EmailSelection
  onSelectReceived?: () => void
  onSelectSent?: () => void
  selectedEmailThreadId: string | undefined
  onClick: (emailThread: EmailThread) => void
}

const TraineeTeamEmails: FC<TraineeTeamEmailsProps> = ({
  exerciseId,
  teamId,
  emailThreads,
  selectedTab,
  onSelectReceived,
  onSelectSent,
  selectedEmailThreadId,
  onClick,
}) => {
  const selectedEmailThread = emailThreads.find(
    emailThread => emailThread.id === selectedEmailThreadId
  )

  return (
    <TeamEmails
      exerciseId={exerciseId}
      teamId={teamId}
      emailThreads={emailThreads}
      allowTabs
      selectedTab={selectedTab}
      onSelectReceived={onSelectReceived}
      onSelectSent={onSelectSent}
      selectedEmailThread={selectedEmailThread}
      onClick={onClick}
      allowComposing
      allowReplying
    />
  )
}

export default TraineeTeamEmails
