import { Button, Drawer } from '@blueprintjs/core'
import type { FC } from 'react'
import { useState } from 'react'
import { InjectItems } from './InjectItems'

interface InstructorInjectSelectorProps {
  teamId: string
  exerciseId: string
  onSentSuccessfully: () => void
}

const InstructorInjectSelector: FC<InstructorInjectSelectorProps> = ({
  teamId,
  exerciseId,
  onSentSuccessfully,
}) => {
  const [isOpen, setIsOpen] = useState(false)

  return (
    <>
      <Button
        type='button'
        rightIcon='multi-select'
        onClick={() => setIsOpen(true)}
        alignText='left'
      >
        Select a template
      </Button>
      <Drawer size='600px' isOpen={isOpen} onClose={() => setIsOpen(false)}>
        <InjectItems
          teamId={teamId}
          exerciseId={exerciseId}
          onSentSuccessfully={onSentSuccessfully}
        />
      </Drawer>
    </>
  )
}
export default InstructorInjectSelector
