import { CardList, Section, SectionCard } from '@blueprintjs/core'
import type { TeamLearningActivity } from '@inject/graphql/fragments/TeamLearningActivity.generated'
import type { FC } from 'react'
import MilestoneIndicator from '../InstructorMilestones/MilestoneIndicator'

interface LearningActivityProps {
  activity: TeamLearningActivity
  teamId: string
}

const LearningActivity: FC<LearningActivityProps> = ({ activity, teamId }) => (
  <Section
    title={activity.activity.name}
    subtitle={activity.activity.tags}
    icon={activity.reached ? 'tick' : undefined}
  >
    <SectionCard>
      <CardList bordered={false}>
        {activity.milestoneStates.map(milestoneState => (
          <MilestoneIndicator
            key={milestoneState.id}
            milestone={milestoneState}
            teamId={teamId}
          />
        ))}
      </CardList>
    </SectionCard>
  </Section>
)

export default LearningActivity
