import { Link } from '@/router'
import { Button } from '@blueprintjs/core'
import type { FC } from 'react'

interface TeamButtonProps {
  teamId: string
  name: string
  exerciseId: string
}

const TeamButton: FC<TeamButtonProps> = ({ teamId, name, exerciseId }) => (
  <Link
    to='/trainee/:exerciseId/:teamId'
    params={{
      exerciseId,
      teamId,
    }}
  >
    <Button type='button'>{name}</Button>
  </Link>
)

export default TeamButton
