#!/bin/sh

# This script substitutes environment variables in index.html
# window.VITE_HTTP_HOST = undefined changes to window.VITE_HTTP_HOST = 'http://localhost:3000'

# The script is called during run time in the Dockerfile, script assumes that envvars may change during reloads

if [ -z "${VITE_HTTP_HOST}" ]; then
  echo "VITE_HTTP_HOST is not set. Using default value."
  sed -i "s|window.VITE_HTTP_HOST = .*|window.VITE_HTTP_HOST = undefined|g" /usr/app/index.html
else
  echo "VITE_HTTP_HOST is set to ${VITE_HTTP_HOST}"
  sed -i "s|window.VITE_HTTP_HOST = .*|window.VITE_HTTP_HOST = '${VITE_HTTP_HOST}'|g" /usr/app/index.html
fi

if [ -z "${VITE_HTTP_WS}" ]; then
  echo "VITE_HTTP_WS is not set. Using default value."
  sed -i "s|window.VITE_HTTP_WS = .*|window.VITE_HTTP_WS = undefined|g" /usr/app/index.html
else
  echo "VITE_HTTP_WS is set to ${VITE_HTTP_WS}"
  sed -i "s|window.VITE_HTTP_WS = .*|window.VITE_HTTP_WS = '${VITE_HTTP_WS}'|g" /usr/app/index.html
fi

if [ -z "${INJECT_NOAUTH}" ]; then
  echo "INJECT_NOAUTH is not set. Using default value."
  sed -i "s|window.INJECT_NOAUTH = .*|window.INJECT_NOAUTH = undefined|g" /usr/app/index.html
else
  echo "INJECT_NOAUTH is set to ${INJECT_NOAUTH}"
  sed -i "s|window.INJECT_NOAUTH = .*|window.INJECT_NOAUTH = '${INJECT_NOAUTH}'|g" /usr/app/index.html
fi