import type { FC, ReactNode } from 'react'
import { memo } from 'react'
import type { ActionLog } from '../../../fragments/ActionLog.generated'
import useActionLogSubscription from '../../../utils/useActionLogSubscription'

interface SubscriptionServiceProps {
  teamId: string
  getPopup?: (actionLog: ActionLog) => ReactNode
}

const SubscriptionService: FC<SubscriptionServiceProps> = ({
  teamId,
  getPopup,
}) => {
  const { networkStatus } = useActionLogSubscription({ teamId, getPopup })
  return (
    <div
      style={{
        visibility: 'hidden',
      }}
    >
      {networkStatus}
      {teamId}
    </div>
  )
}

export default memo(SubscriptionService)
