import type { ActionLog } from '../fragments/ActionLog.generated'
import { useGetTeamActionLogs } from '../queries/GetTeamActionLogs.generated'

const useGetChannelLogs = (
  channelId: string,
  ...params: Parameters<typeof useGetTeamActionLogs>
) => {
  const query = useGetTeamActionLogs(...params)

  const { data } = query

  return {
    ...query,
    data: {
      ...data,
      actionLogs: data?.actionLogs?.filter(
        actionLog => actionLog && actionLog.channel.id === channelId
      ) as ActionLog[],
    },
  }
}

export default useGetChannelLogs
