/* eslint-disable */
//@ts-nocheck
import type * as _Types from '../types';

import type { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type GetTeamLearningObjectivesVariables = _Types.Exact<{
  teamId: _Types.Scalars['ID']['input'];
}>;


export type GetTeamLearningObjectives = { teamLearningObjectives: Array<{ id: string, reached: boolean | null, objective: { id: string, name: string, tags: string, activities: Array<{ id: string, name: string, tags: string, milestones: Array<{ id: string, name: string, teamVisible: boolean, roles: string, fileNames: string }> }> }, activities: Array<{ id: string, reached: boolean | null, activity: { id: string, name: string, tags: string, milestones: Array<{ id: string, name: string, teamVisible: boolean, roles: string, fileNames: string }> }, milestoneStates: Array<{ id: string, reached: boolean, timestampReached: string | null, teamIds: Array<string | null> | null, milestone: { id: string, name: string, teamVisible: boolean, roles: string, fileNames: string } }> }> } | null> | null };


export const GetTeamLearningObjectivesDocument = /*#__PURE__*/ {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"GetTeamLearningObjectives"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"teamId"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"ID"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"teamLearningObjectives"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"teamId"},"value":{"kind":"Variable","name":{"kind":"Name","value":"teamId"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TeamLearningObjective"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TeamLearningObjective"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"TeamLearningObjectiveType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"reached"}},{"kind":"Field","name":{"kind":"Name","value":"objective"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LearningObjective"}}]}},{"kind":"Field","name":{"kind":"Name","value":"activities"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"TeamLearningActivity"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LearningObjective"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"LearningObjectiveType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"tags"}},{"kind":"Field","name":{"kind":"Name","value":"activities"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LearningActivity"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"LearningActivity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"LearningActivityType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"tags"}},{"kind":"Field","name":{"kind":"Name","value":"milestones"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Milestone"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Milestone"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"MilestoneType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"teamVisible"}},{"kind":"Field","name":{"kind":"Name","value":"roles"}},{"kind":"Field","name":{"kind":"Name","value":"fileNames"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"TeamLearningActivity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"TeamLearningActivityType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"reached"}},{"kind":"Field","name":{"kind":"Name","value":"activity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"LearningActivity"}}]}},{"kind":"Field","name":{"kind":"Name","value":"milestoneStates"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"MilestoneState"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"MilestoneState"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"MilestoneStateType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"milestone"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Milestone"}}]}},{"kind":"Field","name":{"kind":"Name","value":"reached"}},{"kind":"Field","name":{"kind":"Name","value":"timestampReached"}},{"kind":"Field","name":{"kind":"Name","value":"teamIds"}}]}}]} as unknown as DocumentNode;

/**
 * __useGetTeamLearningObjectives__
 *
 * To run a query within a React component, call `useGetTeamLearningObjectives` and pass it any options that fit your needs.
 * When your component renders, `useGetTeamLearningObjectives` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetTeamLearningObjectives({
 *   variables: {
 *      teamId: // value for 'teamId'
 *   },
 * });
 */
export function useGetTeamLearningObjectives(baseOptions: Apollo.QueryHookOptions<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables> & ({ variables: GetTeamLearningObjectivesVariables; skip?: boolean; } | { skip: boolean; }) ) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useQuery<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>(GetTeamLearningObjectivesDocument, options);
      }
export function useGetTeamLearningObjectivesLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useLazyQuery<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>(GetTeamLearningObjectivesDocument, options);
        }
export function useGetTeamLearningObjectivesSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useSuspenseQuery<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>(GetTeamLearningObjectivesDocument, options);
        }
export type GetTeamLearningObjectivesHookResult = ReturnType<typeof useGetTeamLearningObjectives>;
export type GetTeamLearningObjectivesLazyQueryHookResult = ReturnType<typeof useGetTeamLearningObjectivesLazyQuery>;
export type GetTeamLearningObjectivesSuspenseQueryHookResult = ReturnType<typeof useGetTeamLearningObjectivesSuspenseQuery>;
export type GetTeamLearningObjectivesQueryResult = Apollo.QueryResult<GetTeamLearningObjectives, GetTeamLearningObjectivesVariables>;