/* eslint-disable */
//@ts-nocheck
import type * as _Types from '../types';

import type { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
const defaultOptions = {} as const;
export type IdentityVariables = _Types.Exact<{ [key: string]: never; }>;


export type Identity = { whoAmI: { id: any, username: string, firstName: string | null, lastName: string | null, isStaff: boolean, isSuperuser: boolean, isActive: boolean, group: string | null, teams: Array<{ id: string, name: string } | null> | null, exercises: Array<{ id: string | null } | null> | null } | null };


export const IdentityDocument = /*#__PURE__*/ {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"Identity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"whoAmI"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"User"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"User"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"UserType"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"username"}},{"kind":"Field","name":{"kind":"Name","value":"firstName"}},{"kind":"Field","name":{"kind":"Name","value":"lastName"}},{"kind":"Field","name":{"kind":"Name","value":"isStaff"}},{"kind":"Field","name":{"kind":"Name","value":"isSuperuser"}},{"kind":"Field","name":{"kind":"Name","value":"isActive"}},{"kind":"Field","name":{"kind":"Name","value":"group"}},{"kind":"Field","name":{"kind":"Name","value":"teams"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}}]}},{"kind":"Field","name":{"kind":"Name","value":"exercises"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}}]}}]}}]} as unknown as DocumentNode;

/**
 * __useIdentity__
 *
 * To run a query within a React component, call `useIdentity` and pass it any options that fit your needs.
 * When your component renders, `useIdentity` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useIdentity({
 *   variables: {
 *   },
 * });
 */
export function useIdentity(baseOptions?: Apollo.QueryHookOptions<Identity, IdentityVariables>) {
        const options = {...defaultOptions, ...baseOptions}
        return Apollo.useQuery<Identity, IdentityVariables>(IdentityDocument, options);
      }
export function useIdentityLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<Identity, IdentityVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useLazyQuery<Identity, IdentityVariables>(IdentityDocument, options);
        }
export function useIdentitySuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<Identity, IdentityVariables>) {
          const options = {...defaultOptions, ...baseOptions}
          return Apollo.useSuspenseQuery<Identity, IdentityVariables>(IdentityDocument, options);
        }
export type IdentityHookResult = ReturnType<typeof useIdentity>;
export type IdentityLazyQueryHookResult = ReturnType<typeof useIdentityLazyQuery>;
export type IdentitySuspenseQueryHookResult = ReturnType<typeof useIdentitySuspenseQuery>;
export type IdentityQueryResult = Apollo.QueryResult<Identity, IdentityVariables>;