import { css } from '@emotion/css'
import type { FC, PropsWithChildren } from 'react'

const divContainer = css`
  @media (width < 576px) {
    & {
      width: 100%;
      max-width: 540px;
      padding-left: 1rem;
      padding-right: 1rem;
      margin: 0 auto;
    }
  }

  @media (width >= 576px) {
    & {
      width: 100%;
      max-width: 540px;
      margin: 0 auto;
    }
  }

  @media (width >= 960px) {
    & {
      width: 100%;
      max-width: 768px;
      margin: 0 auto;
    }
  }
`

const heighted = css`
  align-self: center;
  justify-self: center;
  flex-grow: 1;
  height: 100%;
  width: 100%;
`

interface ContainerProps extends PropsWithChildren {
  makeFullHeight?: boolean
}

const Container: FC<ContainerProps> = ({ children, makeFullHeight }) => (
  <div className={`${divContainer} ${makeFullHeight ? heighted : ''}`}>
    {children}
  </div>
)

Container.defaultProps = {
  makeFullHeight: false,
}

export default Container
