declare global {
  interface Window {
    PREFIX_DISABLED: boolean
  }
}

const pushToAssoc = (index: string, key: string) => {
  const assocKey = `$assoc#${key}`
  const assoc = JSON.parse(localStorage.getItem(assocKey) || '[]') as string[]

  if (!assoc.includes(index)) {
    assoc.push(index)
  }
  localStorage.setItem(assocKey, JSON.stringify(assoc))
}

const getKey = async (index: string, _key?: string) => {
  if (window.PREFIX_DISABLED) {
    return `!${index}`
  }
  const key = _key || localStorage.getItem('key') || '!default'
  const hashKey = `@${key}:${index}`
  pushToAssoc(hashKey, key)
  return hashKey
}

export default getKey
